package com.mortals.xhx.module.attendance.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.attendance.model.vo.AttendanceGroupStaffVo;
/**
* 考勤组人员信息实体对象
*
* @author zxfei
* @date 2023-04-08
*/

public class AttendanceGroupStaffEntity extends AttendanceGroupStaffVo {
    private static final long serialVersionUID = 1L;

    /**
    * 考勤组
    */
    private Long groupId;
    /**
    * 考勤组名称
    */
    private String groupName;
    /**
    * 员工ID
    */
    private Long staffId;
    /**
    * 员工姓名
    */
    private String staffName;
    /**
    * 是否参与考勤，(0.否,1.是)
    */
    private Integer partAttendance;
    /**
    * 备注
    */
    private String remark;



    public AttendanceGroupStaffEntity(){}
    /**
    * 获取 考勤组
    * @return Long
    */
    public Long getGroupId(){
        return groupId;
    }
    /**
    * 设置 考勤组
    * @param groupId
    */
    public void setGroupId(Long groupId){
        this.groupId = groupId;
    }
    /**
    * 获取 考勤组名称
    * @return String
    */
    public String getGroupName(){
        return groupName;
    }
    /**
    * 设置 考勤组名称
    * @param groupName
    */
    public void setGroupName(String groupName){
        this.groupName = groupName;
    }
    /**
    * 获取 员工ID
    * @return Long
    */
    public Long getStaffId(){
        return staffId;
    }
    /**
    * 设置 员工ID
    * @param staffId
    */
    public void setStaffId(Long staffId){
        this.staffId = staffId;
    }
    /**
    * 获取 员工姓名
    * @return String
    */
    public String getStaffName(){
        return staffName;
    }
    /**
    * 设置 员工姓名
    * @param staffName
    */
    public void setStaffName(String staffName){
        this.staffName = staffName;
    }
    /**
    * 获取 是否参与考勤，(0.否,1.是)
    * @return Integer
    */
    public Integer getPartAttendance(){
        return partAttendance;
    }
    /**
    * 设置 是否参与考勤，(0.否,1.是)
    * @param partAttendance
    */
    public void setPartAttendance(Integer partAttendance){
        this.partAttendance = partAttendance;
    }
    /**
    * 获取 备注
    * @return String
    */
    public String getRemark(){
        return remark;
    }
    /**
    * 设置 备注
    * @param remark
    */
    public void setRemark(String remark){
        this.remark = remark;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AttendanceGroupStaffEntity) {
            AttendanceGroupStaffEntity tmp = (AttendanceGroupStaffEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",groupId:").append(getGroupId());
        sb.append(",groupName:").append(getGroupName());
        sb.append(",staffId:").append(getStaffId());
        sb.append(",staffName:").append(getStaffName());
        sb.append(",partAttendance:").append(getPartAttendance());
        sb.append(",remark:").append(getRemark());
        return sb.toString();
    }

    public void initAttrValue(){

            this.groupId = null;

            this.groupName = "";

            this.staffId = null;

            this.staffName = "";

            this.partAttendance = 1;

            this.remark = "";
    }
}